Merge branch 'master' into test-protocols
[platform/upstream/automake.git] / lib / Automake / tests / Makefile.in
1 # Makefile.in generated by automake 1.11a from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
6 # Foundation, Inc.
7 # This Makefile.in is free software; the Free Software Foundation
8 # gives unlimited permission to copy and/or distribute it,
9 # with or without modifications, as long as this notice is preserved.
10
11 # This program is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14 # PARTICULAR PURPOSE.
15
16 @SET_MAKE@
17
18 # Copyright (C) 2002, 2003, 2008, 2009  Free Software Foundation, Inc.
19
20 # This program is free software; you can redistribute it and/or modify
21 # it under the terms of the GNU General Public License as published by
22 # the Free Software Foundation; either version 2, or (at your option)
23 # any later version.
24
25 # This program is distributed in the hope that it will be useful,
26 # but WITHOUT ANY WARRANTY; without even the implied warranty of
27 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
28 # GNU General Public License for more details.
29
30 # You should have received a copy of the GNU General Public License
31 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
32 VPATH = @srcdir@
33 pkgdatadir = $(datadir)/@PACKAGE@
34 pkgincludedir = $(includedir)/@PACKAGE@
35 pkglibdir = $(libdir)/@PACKAGE@
36 pkglibexecdir = $(libexecdir)/@PACKAGE@
37 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
38 install_sh_DATA = $(install_sh) -c -m 644
39 install_sh_PROGRAM = $(install_sh) -c
40 install_sh_SCRIPT = $(install_sh) -c
41 INSTALL_HEADER = $(INSTALL_DATA)
42 transform = $(program_transform_name)
43 NORMAL_INSTALL = :
44 PRE_INSTALL = :
45 POST_INSTALL = :
46 NORMAL_UNINSTALL = :
47 PRE_UNINSTALL = :
48 POST_UNINSTALL = :
49 build_triplet = @build@
50 subdir = lib/Automake/tests
51 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
52 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
53 am__aclocal_m4_deps = $(top_srcdir)/m4/amversion.m4 \
54         $(top_srcdir)/m4/auxdir.m4 $(top_srcdir)/m4/init.m4 \
55         $(top_srcdir)/m4/install-sh.m4 $(top_srcdir)/m4/lead-dot.m4 \
56         $(top_srcdir)/m4/missing.m4 $(top_srcdir)/m4/mkdirp.m4 \
57         $(top_srcdir)/m4/options.m4 $(top_srcdir)/m4/runlog.m4 \
58         $(top_srcdir)/m4/sanity.m4 $(top_srcdir)/m4/silent.m4 \
59         $(top_srcdir)/m4/strip.m4 $(top_srcdir)/m4/substnot.m4 \
60         $(top_srcdir)/m4/tar.m4 $(top_srcdir)/configure.ac
61 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
62         $(ACLOCAL_M4)
63 mkinstalldirs = $(SHELL) $(top_srcdir)/lib/mkinstalldirs
64 CONFIG_CLEAN_FILES =
65 CONFIG_CLEAN_VPATH_FILES =
66 AM_V_GEN = $(am__v_GEN_$(V))
67 am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
68 am__v_GEN_0 = @echo "  GEN     " $@;
69 AM_V_at = $(am__v_at_$(V))
70 am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
71 am__v_at_0 = @
72 SOURCES =
73 DIST_SOURCES =
74 am__tty_colors_dummy = \
75   mgn= red= grn= lgn= blu= brg= std=; \
76   am__color_tests=no
77 # If stdout is a non-dumb tty, use colors.  If test -t is not supported,
78 # then this fails; a conservative approach.  Of course do not redirect
79 # stdout here, just stderr.
80 am__tty_colors = \
81 $(am__tty_colors_dummy); \
82 test "X$(AM_COLOR_TESTS)" != Xno \
83 && test "X$$TERM" != Xdumb \
84 && { test "X$(AM_COLOR_TESTS)" = Xalways || test -t 1 2>/dev/null; } \
85 && { \
86   am__color_tests=yes; \
87   red='\e[0;31m'; \
88   grn='\e[0;32m'; \
89   lgn='\e[1;32m'; \
90   blu='\e[1;34m'; \
91   mgn='\e[0;35m'; \
92   brg='\e[1m'; \
93   std='\e[m'; \
94 }
95 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
96 am__vpath_adj = case $$p in \
97     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
98     *) f=$$p;; \
99   esac;
100 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
101 am__install_max = 40
102 am__nobase_strip_setup = \
103   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
104 am__nobase_strip = \
105   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
106 am__nobase_list = $(am__nobase_strip_setup); \
107   for p in $$list; do echo "$$p $$p"; done | \
108   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
109   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
110     if (++n[$$2] == $(am__install_max)) \
111       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
112     END { for (dir in files) print dir, files[dir] }'
113 am__base_list = \
114   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
115   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
116 am__uninstall_files_from_dir = { \
117   test -z "$$files" \
118     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
119     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
120          $(am__cd) "$$dir" && rm -f $$files; }; \
121   }
122 # Restructured Text title and section.
123 am__rst_title = sed 's/.*/   &   /;h;s/./=/g;p;x;p;g;p;s/.*//'
124 am__rst_section = sed 'p;s/./=/g;p;g'
125 # Solaris 10 'make', and several other traditional 'make' implementations,
126 # pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
127 # by disabling -e (using the XSI extension "set +e") if it's set.
128 am__sh_e_setup = case $$- in *e*) set +e;; esac
129 # Default flags passed to test drivers.
130 am__common_driver_flags = \
131   --color-tests "$$am__color_tests" \
132   --enable-hard-errors "$$am__enable_hard_errors" \
133   --expect-failure "$$am__expect_failure"
134 # To be inserted before the command running the test.  Creates the
135 # directory for the log if needed.  Stores in $dir the directory
136 # containing $f, in $tst the test, in $log the log.  Executes the
137 # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
138 # passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
139 # will run the test scripts (or their associated LOG_COMPILER, if
140 # thy have one).
141 am__check_pre = \
142 $(am__sh_e_setup);                                      \
143 $(am__vpath_adj_setup) $(am__vpath_adj)                 \
144 $(am__tty_colors);                                      \
145 srcdir=$(srcdir); export srcdir;                        \
146 am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;            \
147 test "x$$am__odir" = x. || $(MKDIR_P) "$$am__odir" || exit $$?; \
148 if test -f "./$$f"; then dir=./;                        \
149 elif test -f "$$f"; then dir=;                          \
150 else dir="$(srcdir)/"; fi;                              \
151 tst=$$dir$$f; log='$@';                                 \
152 if test -n '$(DISABLE_HARD_ERRORS)'; then               \
153   am__enable_hard_errors=no;                            \
154 else                                                    \
155   am__enable_hard_errors=yes;                           \
156 fi;                                                     \
157 case " $(XFAIL_TESTS) " in                              \
158   *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
159     am__expect_failure=yes;;                            \
160   *)                                                    \
161     am__expect_failure=no;;                             \
162 esac;                                                   \
163 $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
164 # A shell command to get the names of the tests scripts with any registered
165 # extension removed (i.e., equivalently, the names of the test logs, with
166 # the `.log' extension removed).  The result is saved in the shell variable
167 # `$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
168 # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
169 # since that might cause problem with VPATH rewrites for suffix-less tests.
170 # See also 'test-harness-vpath-rewrite.test' and 'test-trs-basic.test'.
171 am__set_TESTS_bases = \
172   bases='$(TEST_LOGS)'; \
173   bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
174   bases=`echo $$bases`
175 RECHECK_LOGS = $(TEST_LOGS)
176 AM_RECURSIVE_TARGETS = check check-html recheck recheck-html
177 TEST_SUITE_LOG = test-suite.log
178 TEST_SUITE_HTML = $(TEST_SUITE_LOG:.log=.html)
179 am__test_logs1 = $(TESTS:=.log)
180 TEST_LOGS = $(am__test_logs1:.pl.log=.log)
181 PL_LOG_DRIVER = $(SHELL) $(top_srcdir)/lib/test-driver
182 PL_LOG_COMPILE = $(PL_LOG_COMPILER) $(AM_PL_LOG_FLAGS) $(PL_LOG_FLAGS)
183 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
184 ACLOCAL = @ACLOCAL@
185 AMTAR = @AMTAR@
186 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
187 APIVERSION = @APIVERSION@
188 AUTOCONF = @AUTOCONF@
189 AUTOHEADER = @AUTOHEADER@
190 AUTOMAKE = @AUTOMAKE@
191 AWK = @AWK@
192 CYGPATH_W = @CYGPATH_W@
193 DEFS = @DEFS@
194 ECHO_C = @ECHO_C@
195 ECHO_N = @ECHO_N@
196 ECHO_T = @ECHO_T@
197 EGREP = @EGREP@
198 FGREP = @FGREP@
199 GREP = @GREP@
200 HELP2MAN = @HELP2MAN@
201 INSTALL = @INSTALL@
202 INSTALL_DATA = @INSTALL_DATA@
203 INSTALL_PROGRAM = @INSTALL_PROGRAM@
204 INSTALL_SCRIPT = @INSTALL_SCRIPT@
205 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
206 LIBOBJS = @LIBOBJS@
207 LIBS = @LIBS@
208 LN = @LN@
209 LTLIBOBJS = @LTLIBOBJS@
210 MAKEINFO = @MAKEINFO@
211 MKDIR_P = @MKDIR_P@
212 MODIFICATION_DELAY = @MODIFICATION_DELAY@
213 PACKAGE = @PACKAGE@
214 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
215 PACKAGE_NAME = @PACKAGE_NAME@
216 PACKAGE_STRING = @PACKAGE_STRING@
217 PACKAGE_TARNAME = @PACKAGE_TARNAME@
218 PACKAGE_URL = @PACKAGE_URL@
219 PACKAGE_VERSION = @PACKAGE_VERSION@
220 PATH_SEPARATOR = @PATH_SEPARATOR@
221 PERL = @PERL@
222 PERL_THREADS = @PERL_THREADS@
223 SET_MAKE = @SET_MAKE@
224 SHELL = @SHELL@
225 STRIP = @STRIP@
226 TEX = @TEX@
227 VERSION = @VERSION@
228 abs_builddir = @abs_builddir@
229 abs_srcdir = @abs_srcdir@
230 abs_top_builddir = @abs_top_builddir@
231 abs_top_srcdir = @abs_top_srcdir@
232 am_AUTOCONF = @am_AUTOCONF@
233 am_AUTOHEADER = @am_AUTOHEADER@
234 am_AUTOM4TE = @am_AUTOM4TE@
235 am_AUTORECONF = @am_AUTORECONF@
236 am_AUTOUPDATE = @am_AUTOUPDATE@
237 am__leading_dot = @am__leading_dot@
238 am__tar = @am__tar@
239 am__untar = @am__untar@
240 bindir = @bindir@
241 build = @build@
242 build_alias = @build_alias@
243 build_cpu = @build_cpu@
244 build_os = @build_os@
245 build_vendor = @build_vendor@
246 builddir = @builddir@
247 datadir = @datadir@
248 datarootdir = @datarootdir@
249 docdir = @docdir@
250 dvidir = @dvidir@
251 exec_prefix = @exec_prefix@
252 host_alias = @host_alias@
253 htmldir = @htmldir@
254 includedir = @includedir@
255 infodir = @infodir@
256 install_sh = @install_sh@
257 libdir = @libdir@
258 libexecdir = @libexecdir@
259 localedir = @localedir@
260 localstatedir = @localstatedir@
261 mandir = @mandir@
262 mkdir_p = @mkdir_p@
263 oldincludedir = @oldincludedir@
264 pdfdir = @pdfdir@
265 pkgvdatadir = @pkgvdatadir@
266 prefix = @prefix@
267 program_transform_name = @program_transform_name@
268 psdir = @psdir@
269 sbindir = @sbindir@
270 sh_errexit_works = @sh_errexit_works@
271 sharedstatedir = @sharedstatedir@
272 srcdir = @srcdir@
273 sysconfdir = @sysconfdir@
274 target_alias = @target_alias@
275 top_build_prefix = @top_build_prefix@
276 top_builddir = @top_builddir@
277 top_srcdir = @top_srcdir@
278 PL_LOG_COMPILER = $(PERL)
279 AM_PL_LOG_FLAGS = -Mstrict -I ../.. -I $(top_srcdir)/lib -w
280 TEST_EXTENSIONS = .pl
281 TESTS = \
282 Condition.pl \
283 Condition-t.pl \
284 Cond2.pl \
285 Cond3.pl \
286 DisjConditions.pl \
287 DisjConditions-t.pl \
288 DisjCon2.pl \
289 DisjCon3.pl \
290 Version.pl \
291 Version2.pl \
292 Version3.pl \
293 Wrap.pl
294
295 XFAIL_TESTS = \
296 Cond2.pl \
297 Cond3.pl \
298 DisjCon2.pl \
299 DisjCon3.pl \
300 Version2.pl \
301 Version3.pl
302
303 EXTRA_DIST = $(TESTS)
304 all: all-am
305
306 .SUFFIXES:
307 .SUFFIXES: .html .log .pl .trs
308 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
309         @for dep in $?; do \
310           case '$(am__configure_deps)' in \
311             *$$dep*) \
312               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
313                 && { if test -f $@; then exit 0; else break; fi; }; \
314               exit 1;; \
315           esac; \
316         done; \
317         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu lib/Automake/tests/Makefile'; \
318         $(am__cd) $(top_srcdir) && \
319           $(AUTOMAKE) --gnu lib/Automake/tests/Makefile
320 .PRECIOUS: Makefile
321 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
322         @case '$?' in \
323           *config.status*) \
324             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
325           *) \
326             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
327             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
328         esac;
329
330 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
331         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
332
333 $(top_srcdir)/configure:  $(am__configure_deps)
334         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
335 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
336         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
337 $(am__aclocal_m4_deps):
338 tags: TAGS
339 TAGS:
340
341 ctags: CTAGS
342 CTAGS:
343
344 cscope cscopelist:
345
346
347 # Recover from deleted `.trs' file; this should ensure that
348 # "rm -f foo.log; make foo.trs" re-run `foo.test', and re-create
349 # both `foo.log' and `foo.trs'.  Break the recipe in two subshells
350 # to avoid problems with "make -n".
351 .log.trs:
352         rm -f $< $@
353         $(MAKE) $(AM_MAKEFLAGS) $<
354
355 # Helper recipe used by $(TEST_SUITE_LOG) below, to avoid problems with
356 # "make -n".  Break this recipe in multiple shell invocations too, to
357 # really work as expected with "make -n".
358 am--redo-logs:
359         @rm -f $$redo_logs
360         @rm -f $$redo_results
361         @if test -n "$$am__remaking_logs"; then \
362           echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
363                "recursion detected" >&2; \
364         else \
365           am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
366         fi;
367         @st=0;  \
368         errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
369         for i in $$redo_bases; do \
370           test -f $$i.trs && test -r $$i.trs \
371             || { echo "$$errmsg $$i.trs"; st=1; }; \
372           test -f $$i.log && test -r $$i.log \
373             || { echo "$$errmsg $$i.log"; st=1; }; \
374         done; \
375         test $$st -eq 0
376
377 $(TEST_SUITE_LOG): $(TEST_LOGS)
378         @$(am__set_TESTS_bases); \
379         am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
380         redo_bases=`for i in $$bases; do \
381                       am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
382                     done`; \
383         if test -n "$$redo_bases"; then \
384           redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
385           redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
386           redo_bases="$$redo_bases" \
387           redo_logs="$$redo_logs" \
388           redo_results="$$redo_results" \
389             $(MAKE) $(AM_MAKEFLAGS) am--redo-logs || exit 1; \
390         else :; fi;
391         @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
392         ws='[   ]'; \
393         results=`for b in $$bases; do echo $$b.trs; done`; \
394         test -n "$$results" || results=/dev/null; \
395         all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
396         pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
397         fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
398         skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
399         xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
400         xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
401         error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
402         if test `expr $$fail + $$xpass + $$error` -eq 0; then \
403           success=true; \
404         else \
405           success=false; \
406         fi; \
407         br='==================='; br=$$br$$br$$br$$br; \
408         result_count () \
409         { \
410             if test x"$$1" = x"--maybe-color"; then \
411               maybe_colorize=yes; \
412             elif test x"$$1" = x"--no-color"; then \
413               maybe_colorize=no; \
414             else \
415               echo "$@: invalid 'result_count' usage" >&2; exit 4; \
416             fi; \
417             shift; \
418             desc=$$1 count=$$2; \
419             if test $$maybe_colorize = yes && test $$count -gt 0; then \
420               color_start=$$3 color_end=$$std; \
421             else \
422               color_start= color_end=; \
423             fi; \
424             echo "$${color_start}# $$desc $$count$${color_end}"; \
425         }; \
426         create_testsuite_report () \
427         { \
428           result_count $$1 "TOTAL:" $$all   "$$brg"; \
429           result_count $$1 "PASS: " $$pass  "$$grn"; \
430           result_count $$1 "SKIP: " $$skip  "$$blu"; \
431           result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
432           result_count $$1 "FAIL: " $$fail  "$$red"; \
433           result_count $$1 "XPASS:" $$xpass "$$red"; \
434           result_count $$1 "ERROR:" $$error "$$mgn"; \
435         }; \
436         {                                                               \
437           echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
438             $(am__rst_title);                                           \
439           create_testsuite_report --no-color;                           \
440           echo;                                                         \
441           echo ".. contents:: :depth: 2";                               \
442           echo;                                                         \
443           for i in $$bases; do                                          \
444             if grep "^$$ws*:copy-in-global-log:$$ws*no$$ws*$$" $$i.trs \
445                  >/dev/null; then continue; \
446             fi; \
447             glob_res=`sed -n -e "s/$$ws*$$//" \
448                              -e "s/^$$ws*:global-test-result:$$ws*//p" \
449                         $$i.trs`; \
450             test -n "$$glob_res" || glob_res=RUN; \
451             echo "$$glob_res: $$i" | $(am__rst_section); \
452             if test ! -r $$i.log; then \
453               echo "fatal: making $@: $$i.log is unreadable" >&2; \
454               exit 1; \
455             fi; \
456             cat $$i.log; echo; \
457           done; \
458         } >$(TEST_SUITE_LOG).tmp;                                       \
459         mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
460         if $$success; then                                              \
461           col="$$grn";                                                  \
462          else                                                           \
463           col="$$red";                                                  \
464           test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
465         fi;                                                             \
466         echo "$${col}$$br$${std}";                                      \
467         echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
468         echo "$${col}$$br$${std}";                                      \
469         create_testsuite_report --maybe-color;                          \
470         echo "$$col$$br$$std";                                          \
471         if $$success; then :; else                                      \
472           echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
473           if test -n "$(PACKAGE_BUGREPORT)"; then                       \
474             echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
475           fi;                                                           \
476           echo "$$col$$br$$std";                                        \
477         fi;                                                             \
478         $$success || exit 1
479
480 # Run all the tests.
481 check-TESTS:
482         @list='$(RECHECK_LOGS)'; test -z "$$list" || rm -f $$list
483         @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
484         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
485         @list='$(TEST_LOGS)'; \
486         list=`for i in $$list; do \
487           test .log = $$i || echo $$i; \
488         done | tr '\012\015' '  '`; \
489         list=`echo "$$list" | sed 's/ *$$//'`; \
490         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$list"
491
492 .log.html:
493         @list='$(RST2HTML) $$RST2HTML rst2html rst2html.py';            \
494         for r2h in $$list; do                                           \
495           if ($$r2h --version) >/dev/null 2>&1; then                    \
496             R2H=$$r2h;                                                  \
497           fi;                                                           \
498         done;                                                           \
499         if test -z "$$R2H"; then                                        \
500           echo >&2 "cannot find rst2html, cannot create $@";            \
501           exit 2;                                                       \
502         fi;                                                             \
503         $$R2H $< >$@.tmp
504         @mv $@.tmp $@
505
506 # Be sure to run check first, and then to convert the result.
507 # Beware of concurrent executions.  Run "check" not "check-TESTS", as
508 # check-SCRIPTS and other dependencies are rebuilt by the former only.
509 # And expect check to fail.
510 check-html:
511         @if $(MAKE) $(AM_MAKEFLAGS) check; then                 \
512           rv=0; else rv=$$?;                                    \
513         fi;                                                     \
514         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_HTML) || exit 4;   \
515         exit $$rv
516 recheck recheck-html:
517         @ws='[  ]';                                                     \
518         target=`echo $@ | sed 's,^re,,'`;                               \
519         $(am__set_TESTS_bases);                                         \
520         list=`for i in $$bases; do                                      \
521                 test -f $$i.trs || test -f $$i.log || continue;         \
522                 grep "^$$ws*:recheck:$$ws*no$$ws*$$" $$i.trs            \
523                   >/dev/null 2>&1 || echo $$i.log;                      \
524               done | tr '\012\015' '  '`;                               \
525         list=`echo "$$list" | sed 's/ *$$//'`;                          \
526         $(MAKE) $(AM_MAKEFLAGS) $$target AM_MAKEFLAGS='$(AM_MAKEFLAGS) TEST_LOGS="'"$$list"'"'
527 .pl.log:
528         @p='$<'; $(am__check_pre) $(PL_LOG_DRIVER) --test-name "$$f" \
529         --log-file '$*.log' --trs-file '$*.trs' \
530         $(am__common_driver_flags) $(AM_PL_LOG_DRIVER_FLAGS) $(PL_LOG_DRIVER_FLAGS) -- $(PL_LOG_COMPILE) "$$tst" \
531         $(AM_TESTS_FD_REDIRECT)
532
533 distdir: $(DISTFILES)
534         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
535         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
536         list='$(DISTFILES)'; \
537           dist_files=`for file in $$list; do echo $$file; done | \
538           sed -e "s|^$$srcdirstrip/||;t" \
539               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
540         case $$dist_files in \
541           */*) $(MKDIR_P) `echo "$$dist_files" | \
542                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
543                            sort -u` ;; \
544         esac; \
545         for file in $$dist_files; do \
546           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
547           if test -d $$d/$$file; then \
548             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
549             if test -d "$(distdir)/$$file"; then \
550               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
551             fi; \
552             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
553               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
554               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
555             fi; \
556             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
557           else \
558             test -f "$(distdir)/$$file" \
559             || cp -p $$d/$$file "$(distdir)/$$file" \
560             || exit 1; \
561           fi; \
562         done
563 check-am: all-am
564         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
565 check: check-am
566 all-am: Makefile
567 installdirs:
568 install: install-am
569 install-exec: install-exec-am
570 install-data: install-data-am
571 uninstall: uninstall-am
572
573 install-am: all-am
574         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
575
576 installcheck: installcheck-am
577 install-strip:
578         if test -z '$(STRIP)'; then \
579           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
580             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
581               install; \
582         else \
583           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
584             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
585             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
586         fi
587 mostlyclean-generic:
588         -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
589         -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
590         -test -z "$(TEST_SUITE_HTML)" || rm -f $(TEST_SUITE_HTML)
591         -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
592
593 clean-generic:
594
595 distclean-generic:
596         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
597         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
598
599 maintainer-clean-generic:
600         @echo "This command is intended for maintainers to use"
601         @echo "it deletes files that may require special tools to rebuild."
602 clean: clean-am
603
604 clean-am: clean-generic mostlyclean-am
605
606 distclean: distclean-am
607         -rm -f Makefile
608 distclean-am: clean-am distclean-generic
609
610 dvi: dvi-am
611
612 dvi-am:
613
614 html: html-am
615
616 html-am:
617
618 info: info-am
619
620 info-am:
621
622 install-data-am:
623
624 install-dvi: install-dvi-am
625
626 install-dvi-am:
627
628 install-exec-am:
629
630 install-html: install-html-am
631
632 install-html-am:
633
634 install-info: install-info-am
635
636 install-info-am:
637
638 install-man:
639
640 install-pdf: install-pdf-am
641
642 install-pdf-am:
643
644 install-ps: install-ps-am
645
646 install-ps-am:
647
648 installcheck-am:
649
650 maintainer-clean: maintainer-clean-am
651         -rm -f Makefile
652 maintainer-clean-am: distclean-am maintainer-clean-generic
653
654 mostlyclean: mostlyclean-am
655
656 mostlyclean-am: mostlyclean-generic
657
658 pdf: pdf-am
659
660 pdf-am:
661
662 ps: ps-am
663
664 ps-am:
665
666 uninstall-am:
667
668 .MAKE: check-am check-html install-am install-strip recheck \
669         recheck-html
670
671 .PHONY: all all-am am--redo-logs check check-TESTS check-am check-html \
672         clean clean-generic distclean distclean-generic distdir dvi \
673         dvi-am html html-am info info-am install install-am \
674         install-data install-data-am install-dvi install-dvi-am \
675         install-exec install-exec-am install-html install-html-am \
676         install-info install-info-am install-man install-pdf \
677         install-pdf-am install-ps install-ps-am install-strip \
678         installcheck installcheck-am installdirs maintainer-clean \
679         maintainer-clean-generic mostlyclean mostlyclean-generic pdf \
680         pdf-am ps ps-am recheck recheck-html uninstall uninstall-am
681
682
683 # Tell versions [3.59,3.63) of GNU make to not export all variables.
684 # Otherwise a system limit (for SysV at least) may be exceeded.
685 .NOEXPORT: